Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
Get a company by id.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "handle": "<string>",
  "logo": "<string>",
  "isGeneratedLogo": true,
  "showAuditLog": true,
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "users": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "email": "<string>",
      "isActivated": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "isBot": true,
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "avatar": "<string>",
      "isGeneratedAvatar": true,
      "discord": "<string>",
      "telegram": "<string>",
      "timezone": "<string>",
      "disabledAt": "2023-11-07T05:31:56Z"
    }
  ],
  "sessionSettings": {
    "maxTime": 123,
    "refreshTime": 123
  },
  "about": "<string>",
  "legalName": "<string>",
  "legalAddress": "<string>",
  "legalCountry": {
    "name": "<string>",
    "code": "<string>"
  },
  "website": "<string>",
  "github": "<string>",
  "twitter": "<string>",
  "domain": "<string>",
  "autoJoinAllowed": true,
  "adminData": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Response

Company details

id
string<uuid>
required
name
string
required
handle
string
required
showAuditLog
boolean
required
createdBy
string<uuid>
required
createdAt
string<date-time>
required
users
object[]
required
sessionSettings
object
required

Session expiration settings

They are expressed in i64 seconds to be database-friendly.

about
string | null
website
string | null
github
string | null
twitter
string | null
domain
string | null
autoJoinAllowed
boolean | null

Note, this is only set if domain field is also set.

adminData
any